نظرة عامة على المفتاح
| إصدار المفتاح | V3 |
|---|---|
| المواصفة | RFC 1991 · RFC 2440 · RFC 4880 |
| الحالة | متقادم – قديم، محتفظ به للتوافق التاريخي فقط |
| المفتاح الأساسي (التصديق والتوقيع) | RSA 1024 · ID 1 |
| مفتاح التشفير الفرعي | لا يوجد: ليس لمفاتيح الإصدارين 2 و3 مفاتيح فرعية، ويُستخدم مفتاح RSA الأساسي للتشفير أيضًا (C/S/E مستمدة من الخوارزمية) |
| البصمة | 8C82CFA8E8957EA451848A6948E37C72 |
| عبارة مرور المفتاح الخاص | synthetic-key-password |
الخوارزميات والاستخدام
RSA 1024: RSA بمعامل بطول 1024 بت، ويُعد قابلًا للكسر حاليًا. محتفظ به للتوافق التاريخي فقط؛ يقبله GnuPG، بينما يرفض Sequoia والأدوات المبنية على rPGP المفاتيح الأقل من 2048 بت، ويرفضها خادم المفاتيح keys2 كذلك.
المفتاح العام
المفتاح العام مع معرّف المستخدم وتوقيعه الذاتي. ليس لمفاتيح الإصدارين 2 و3 مفاتيح فرعية: يتحقق مفتاح RSA نفسه من التوقيعات ويُستخدم للتشفير لهذه الهوية الاختبارية.
تنزيل ← 522 بايت
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecdGTcB
AUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10Twfp
ei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgcgArp
UvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=d6DR
-----END PGP PUBLIC KEY BLOCK-----
المفتاح الخاص
المفتاح الخاص المحمي بعبارة المرور المعروضة أعلاه. منشور للاختبار فقط: يمكن لأي شخص استخدامه.
تنزيل ← 983 بايت
عرض
-----BEGIN PGP PRIVATE KEY BLOCK-----
lQHiA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAEBn9em93oQYcQEAEx48Hk8F2fl6Efnc1IHy9w0owGL/s5BJTh4bUASKniDUEmT
Z2xhzr8R0rdhOfcUBs7azdmQctj4O8lOUazK1g1mHzKY/BZXOjdIn/oeW0z+0Vmr
ddtMSh1L31Vr9Fc0xfH379CxySzG6jDPkdzhICwwUWKdunZ3FpCkMeTSJEiHAgA7
1tSD64MFBJSYJD6Lii870MUtp6ODC179LdsE+nz54lA7JjSRByl1fX43D4B1T+3z
jM+MsFrQOoNULYQf4Tc1AgCfOy4jZ46QTDVBFHPonKrWJJjz6PAsRDyknuVYKgqi
B64ZhOGlCSJ1SCAuxL5E1cwmRBZDZ8gJTXkfr1X6hMM1AgBYyBgNsMOHi4woPnVI
KTdpf9c+91YmycWbRmr8kbjPY0pIbkGZeKHDj52rsUi4LM2MHxdZkxvZhgFfNpnR
9SjtoOG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecd
GTcBAUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10
Twfpei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgc
gArpUvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=7ZMo
-----END PGP PRIVATE KEY BLOCK-----
شهادة الإبطال
شهادة اختراق مفتاح مُنشأة مسبقًا، من فئة التوقيع 0x20 المحددة في RFC 1991 («This is my key, and I have revoked it») والمطبقة في PGP 2.6. يؤدي استيرادها إلى تعليم المفتاح بأنه مُبطل.
تنزيل ← 725 بايت
عرض
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAGJAJUDBSBq95WuA37X/ecdGTcBAQKBA/938RSvUEr4RE3RH8V4mIdCNHVEXim2
v1vGCyWPFp+Re1xgnraxYCt/4bceqDjaof6N3hTraaoOd2cOP3ge39ewplNH2jl1
NaYjDLROBAGl1ZU8QTEwrsP0XRXEasYuy674fbt3TscZo+T4g+J58/1vzFeDh47T
E5TqXR7x9kFoDrQZQ0gtSiBtYXRyaXggNDEtdjMtcnNhMTAyNIkAlQMFEGr3la4D
ftf95x0ZNwEBQSwD/3gJS9wmN6+8SQIHNxlBfjMBFj4yHrFKZIlMFcsisYprMMU5
idZmrXRPB+l6LzmCV6J41Ctnu9sW+7f0jRvO2LFKhqgWd/vqh7/L05p6uDp5Sm+5
aqRt+ByACulS+nF4n9guvcqxruGdXNHxqvoO/Ktl7yAOrzSELJSdZf4z9KeZ
=qfgP
-----END PGP PUBLIC KEY BLOCK-----
توقيع test_1MB.bin
توقيع منفصل بتغليف ASCII للملف test_1MB.bin، أُنشئ بهذا المفتاح في CH-J Tools. احفظه باسم test_1MB.bin.asc بجوار ملف الاختبار.
تنزيل ← 273 بايت
-----BEGIN PGP SIGNATURE-----
iQCVAwUAaveVrgN+1/3nHRk3AQEGewP/ck01xi+d+csd/k4uhv+Dj2n5FvCmjt3B
MaTtFXxc1wgqTLkeGTFlbjvBT1GqHF9JFhhVjV4ncksZdNvhD3DMzMVNzKLi+K1K
ewxkEdjvdYtaQl2nRS/oAZAH5wRSvZZI2YYxLSDpiP2yAwkLDEf+cddUoVdLOBWX
tcXeGQeIU5I=
=wikQ
-----END PGP SIGNATURE-----
التحقق من التوقيع
تحتاج مفاتيح الإصدارين 3 و2 إلى GnuPG 1.4 (gpg1) مع السماح الصريح بـMD5، أو PGP التاريخي، أو CH-J Tools. استخدم GNUPGHOME مؤقتًا كي لا يدخل مفتاح الاختبار إلى حلقة مفاتيحك الفعلية:
export GNUPGHOME="$(mktemp -d)"
gpg1 --allow-weak-digest-algos --import pgp-example-41-public.asc
gpg1 --allow-weak-digest-algos --verify test_1MB.bin.asc test_1MB.bin